/*

 For DIS Ignition proto board Juha Niinikoski 18.12.2002

*/

#ifndef _BOOTLDR_H_
#define _BOOTLDR_H_

/* must be <= 9 */
#define BOOT_TIMEOUT	32
#define FILL_BYTE	0xFF

#ifdef VERBOSE
#define PROG_START	0x600	// test
#else
#define PROG_START	0x200
#endif

#define MEM_TOP 0x8000


#define BAUD  9600      
#define FOSC 20000000L
#define NINE 0     /* Use 9bit communication? FALSE=8bit */
#define OUTPUT 0
#define INPUT 1

#define DIVIDER ((int)(FOSC/(16UL * BAUD) -1))
#define HIGH_SPEED 1

#if NINE == 1
#define NINE_BITS 0x40
#else
#define NINE_BITS 0
#endif

#if HIGH_SPEED == 1
#define SPEED 0x4
#else
#define SPEED 0
#endif

#define J26 RC1

#define LEDA LATE0
#define LEDB LATE1
#define LEDC LATE2

#define RTS LATC5

#define	TRISC_INIT 0x82
#define TRISE_INIT 0xF8

/* Serial initialization */
#define init_comms()						\
			{						\
				SPBRG = DIVIDER; 		    	\
				TXSTA = (SPEED|NINE_BITS|0x20);		\
				RCSTA = (NINE_BITS|0x90);		\
 			}

#ifndef NOP()
#define NOP()	asm("nop")
#endif

#ifndef RESET()
#define RESET()	asm("reset")
#endif

#define FLASH EEPGD==1
#define EEPROM EEPGD==0
#define CONFIG CFGS==1

#endif
